<?php
defined('_JEXEC') or die;

use Joomla\Registry\Registry;

require_once JPATH_SITE.'/modules/mod_login/helper.php';

$modLogin = JModuleHelper::getModule('mod_login');

$modLoginParams = new Registry;
$modLoginParams->loadString($modLogin->params);

$modLoginParams->def('greeting', 1);

$type	          = ModLoginHelper::getType();
$return	          = ModLoginHelper::getReturnURL($modLoginParams, $type);
$twofactormethods = ModLoginHelper::getTwoFactorMethods();
$user	          = JFactory::getUser();
$layout           = $modLoginParams->get('layout', 'default');

// Logged users must load the logout sublayout
if (!$user->guest)
{
	$layout .= '_logout';
}

require JModuleHelper::getLayoutPath('mod_jlms_user_short_profile', $layout);