<?php
namespace LMS\Libraries\Repository\Tables;

use LMS\Libraries\Base;

class Files extends Base\Table
{

	var $id = null;
	var $file_name = null;
	var $file_srv_name = null;
	var $owner_id = null;

	protected $fieldMap = array(
		'id' => 'id',
		'file_name' => 'file_name',
		'file_srv_name' => 'file_srv_name',
		'owner_id' => 'owner_id',
	);

	protected $alias = 'file';
	
	function __construct(&$db)
	{
		parent::__construct( '#__lms_files', 'id', $db );		
	}
}
?>