<?php
namespace LMS\Libraries\Repository\Tables;

use LMS\Libraries\Base;

defined('_JEXEC') or die;

class Gradebook_Scale extends Base\Table
{
	var $id = null;
	var $course_id = null;
	var $user_id = null;
	var $hw_id = null;
	var $hw_status = null;
	var $hw_date = null;
	var $write_text = null;
	var $file_id = null;
	var $grade = null;
	var $comments = null;

	protected $fieldMap = array(
		'id' => 'id',
		'course_id' => 'course_id',
		'scale_name' => 'scale_name',
		'min_val' => 'min_val',
		'max_val' => 'max_val',
		'ordering' => 'ordering',
	);

	protected $alias = 'gbsc';

	public function __construct()
	{
		parent::__construct('#__lms_gradebook_scale', 'id');
	}

}