<?php
defined('JPATH_PLATFORM') or die;

use LMS\Libraries;

JFormHelper::loadFieldClass('list');

class JFormFieldHWRStatus extends JFormFieldList
{
	protected $type = 'HWRStatus';

	protected function getOptions()
	{

		$status = \JFactory::getApplication()->getUserStateFromRequest( 'com_joomla_lms.filter.'.$this->fieldname, 0 );

		$options = array();
		$options[] = JHtml::_('select.option', 0, 'All states', 'value', 'text', false);
		$options[] = JHtml::_('select.option', 1, 'Completed', 'value', 'text', false);
		$options[] = JHtml::_('select.option', 2, 'Incomplete', 'value', 'text', false);

		$this->setValue( $status );

		return $options;
	}
}