<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 *
 */

namespace LMS\Widgets;

use LMS\Libraries;
use LMS\Libraries\Base;

class ItemToolbar extends ContentToolbar
{
	protected $buttons = array();	
	
	protected $content = '';
	
	protected $glueButtons = true;
	
	protected $buttonSize = 'micro';
	
	protected $hideButtonTitle = true;

	public function __construct($params = array())
	{
		parent::__construct($params);
	}	
	
	public function addPublishButtonLegacy($params = array()) 
	{		
		$params['type'] = 'custom';		
		$params['title'] = '';
				
		switch((int)$params['state']) {				
			case 0: 
				$params['tip'] = \JText::_('_JLMS_UNPUBLISHED');
				$params['icon'] = 'unpublish';
			break;
			case 1: 
				$params['tip'] = \JText::_('_JLMS_PUBLISHED');
				$params['icon'] = 'publish';
				$params['active'] = true;
			break;
		}		
		
		return $this->addCustomButton($params);
	}
	
	public function addDeleteButton($params = array()) 
	{			
		if(!isset($params['title'])) {
			$params['title'] = '';
		}
				
		parent::addDeleteButton($params);
	}
}