<?php
error_reporting(E_ALL);
ini_set("display_errors", 1);

require_once('config.php');
require_once('connector/scheduler_connector.php');
require_once("connector/db_pdo.php");

    $course_id = intval($_REQUEST['course_id']);
    $date = date('Y-m-d H:i:s');

	$scheduler = new schedulerConnector($res, $dbtype);
    // $scheduler->limit(0,2);
    $scheduler->filter('course_id',$course_id,'=');

	// $scheduler->render_table($dbprefix."lms_agenda","agenda_id","start_date,end_date,title,content,course_id");
    $additional_filter_state = '';
    if (isset($_SESSION['__default']['announcement_filter']))
        $additional_filter_state = $_SESSION['__default']['announcement_filter'];

    switch ($additional_filter_state) {
            case "upcoming":
                $scheduler->filter('start_date',$date,'>');
                $scheduler->filter('end_date',$date,'>');
            break;
            case "started":
                $scheduler->filter('start_date',$date,'<');
                $scheduler->filter('end_date',$date,'>');
                break;
            case "finished":
                $scheduler->filter('start_date',$date,'<');
                $scheduler->filter('end_date',$date,'<');
                break;
        }


    if (!$is_manager)
    {
        $scheduler->filter('published',1,'=');
    }

    $scheduler->render_sql('SELECT * FROM '.$dbprefix."lms_agenda",'agenda_id',"start_date,end_date,title,content,course_id");
?>