<?php
defined('_JEXEC') or die;

?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		<?php
		if($this->pattern->savedPatternId && $this->pattern->savedPatternId != $this->pattern->currentPatternId){
			?>
			jQuery('.btn-success').click(function(event){
				event.preventDefault();

				var form = document.adminForm;

				if(confirm('<?php echo JText::_('_JLMS_COURSEBUILDER_WARNING_CONFIRM_CHANGE_PATTERN');?>')){
					form.save
					window.location.href = jQuery(this).attr('href');
				}
			});
			<?php
		}
		?>
	});
</script>
<form id="adminForm" class="form-horizontal" name="adminForm" method="post" action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=coursebuilder.builder.show&step=4&course_id='.$this->state->get('courseId'));?>">

	<div class="control-group">
		<div class="control-label">
			<?php echo JText::_('_JLMS_COURSEBUILDER_SELECT_COURSE_FORMAT');?>
		</div>
		<div class="controls">
			<?php
			$js = 'onchange="document.adminForm.submit()"';
			echo JHtml::_('select.genericlist', $this->pattern->dataForSelectlist, 'pattern_id', ' ' . $js, 'id', 'title', $this->pattern->currentPatternId);
			?>
		</div>
	</div>

	<div class="control-group">
		<div class="control-label">
			<?php echo JText::_('_JLMS_DESCRIPTION');?>
		</div>
		<div class="controls">
			<div class="alert alert-info">
				<?php echo $this->pattern->description;?>
			</div>
		</div>
	</div>



	<div class="row-fluid">
		&nbsp;
	</div>

	<div class="row-fluid">

		<?php
		if(isset($this->tools)){

			if(isset($this->tools->teacher) && count($this->tools->teacher)){
				?>
				<div class="span4">
					<legend><?php echo JText::_('_JLMS_TEACHER_TOOLS'); ?></legend>
					<div class="well well-small">
						<ul class="nav nav-list">
							<li class="nav-header">
								<?php echo JText::_('_JLMS_ACTIVE'); ?>
							</li>
							<?php
							foreach($this->tools->teacher as $tool) {
								if($tool->allowed) {
									$checked = $tool->allowed ? 'checked="checked"' : '';
									$disabled = $tool->disabled ? 'disabled="disabled"' : '';
									?>
									<li>
										<label class="checkbox">
											<input type="checkbox" name="teacherCid[]" value="<?php echo $tool->id; ?>" <?php echo $checked;?> <?php echo $disabled;?> />
											<i class="jlmsicon-<?php echo $tool->iconSuffix;?>"></i>
											<?php echo constant($tool->lang_var); ?>
										</label>
									</li>
								<?php
								}
							}
							?>
							<li class="nav-header">
								<?php echo JText::_('_JLMS_AVAILABLE'); ?>
							</li>
							<?php
							foreach($this->tools->teacher as $tool) {
								if(!$tool->allowed) {
									$checked = $tool->allowed ? 'checked="checked"' : '';
									$disabled = $tool->disabled ? 'disabled="disabled"' : '';
									?>
									<li>
										<label class="checkbox">
											<input type="checkbox" name="teacherCid[]" value="<?php echo $tool->id; ?>" <?php echo $checked;?> <?php echo $disabled;?> />
											<i class="jlmsicon-<?php echo $tool->iconSuffix;?>"></i>
											<?php echo constant($tool->lang_var); ?>
										</label>
									</li>
								<?php
								}
							}
							?>
						</ul>
					</div>
				</div>
				<?php
			}

			if(isset($this->tools->learner) && count($this->tools->learner)){
				?>
				<div class="span4">
					<legend><?php echo JText::_('_JLMS_LEARNER_TOOLS'); ?></legend>
					<div class="well well-small">
						<ul class="nav nav-list">
							<li class="nav-header">
								<?php echo JText::_('_JLMS_ACTIVE'); ?>
							</li>
							<?php
							foreach($this->tools->learner as $tool) {
								if($tool->allowed) {
									$checked = $tool->allowed ? 'checked="checked"' : '';
									$disabled = $tool->disabled ? 'disabled="disabled"' : '';
									?>
									<li>
										<label class="checkbox">
											<input type="checkbox" name="learnerCid[]" value="<?php echo $tool->id; ?>" <?php echo $checked;?> <?php echo $disabled;?> />
											<i class="jlmsicon-<?php echo $tool->iconSuffix;?>"></i>
											<?php echo constant($tool->lang_var); ?>
										</label>
									</li>
								<?php
								}
							}
							?>
							<li class="nav-header">
								<?php echo JText::_('_JLMS_AVAILABLE'); ?>
							</li>
							<?php
							foreach($this->tools->learner as $tool) {
								if(!$tool->allowed) {
									$checked = $tool->allowed ? 'checked="checked"' : '';
									$disabled = $tool->disabled ? 'disabled="disabled"' : '';
									?>
									<li>
										<label class="checkbox">
											<input type="checkbox" name="learnerCid[]" value="<?php echo $tool->id; ?>" <?php echo $checked;?> <?php echo $disabled;?> />
											<i class="jlmsicon-<?php echo $tool->iconSuffix;?>"></i>
											<?php echo constant($tool->lang_var); ?>
										</label>
									</li>
								<?php
								}
							}
							?>
						</ul>
					</div>
				</div>
				<?php
			}
		}

		if(isset($this->modules) && count($this->modules)){
			?>
			<div class="span4">
				<legend><?php echo JText::_('_JLMS_MODULES'); ?></legend>
				<div class="well well-small">
					<ul class="nav nav-list">
						<?php
						foreach($this->modules as $module) {
							?>
							<li>
								<div class="row-fluid">
									<div class="span8">
										<?php echo $module->name;?>
									</div>
									<div class="span4">
										<div class="label"><?php echo $module->position;?></div>
									</div>
								</div>
							</li>
							<?php
						}
						?>
					</ul>
				</div>
			</div>
		<?php
		}

		?>

	</div>

	<input type="hidden" name="option" value="com_joomla_lms"/>
	<input type="hidden" name="task" value="coursebuilder.builder.show"/>
	<input type="hidden" name="course_id" value="<?php echo $this->state->get('courseId');?>"/>
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid;?>"/>

</form>