<?php
namespace LMS\Tools\Coursebuilder\View;

use LMS\Libraries\Base;

defined('_JEXEC') or die;

class Modules extends Base\View
{
	protected $extension = 'com_joomla_lms';
	protected $viewName = 'Modules';

	public function __construct($config=array())
	{
		$this->viewDir = __DIR__;
		parent::__construct($config);
	}

	public function display($tpl = null)
	{
		return parent::display($tpl);
	}

	public function show()
	{
		$modulesModel = $this->getModel('Modules');

		$this->items = $modulesModel->getItems();
		$this->pagination = $modulesModel->getPagination();
		$this->state = $modulesModel->getState();

		$this->display();
	}

}