<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select:not(.chzn-done)');
?>

<div class="row-fluid">
	<?php
	echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
	?>

	<div class="row-fluid">
		<?php
		$status = '';
		if(isset($this->homeworkItem->result) && $this->homeworkItem->result->hw_status){
			$tip_title = JText::_('Status');
			$tip_text = JText::_('');
			$icon_class = '';
			if($this->item->result->hw_status == 1){
				$tip_title = JText::_('Not seen');
				$tip_text = JText::_('');
				$icon_class = 'eye-close';
			}
			if($this->item->result->hw_status == 2){
				$tip_title = JText::_('Seen');
				$tip_text = JText::_('');
				$icon_class = 'eye-open';
			}
			if($this->item->result->hw_status == 3){
				$tip_title = JText::_('Checked');
				$tip_text = JText::_('');
				$icon_class = 'checkmark-2';
			}
			ob_start();
			?>
			<span class="btn btn-micro disabled hasTooltip" title="<?php echo JHtml::tooltipText($tip_title, $tip_text);?>">
				<i class="icon-<?php echo $icon_class;?>"></i>
			</span>
			<?php
			$status = ob_get_contents();
			ob_end_clean();
		}
		?>
	</div>

	<div class="row-fluid">
		<?php
		echo $this->toolbar;
		?>
	</div>

	<div class="row-fluid">
		<table class="table">
			<tr>
				<td>
					<?php echo $this->homeworkItem->description;?>
				</td>
			</tr>
		</table>
	</div>

	<div class="row-fluid">
		<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=homework.homework.show'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate form-vertical" enctype="multipart/form-data">

			<?php
			echo $this->loadTemplate($this->tmplActivity);
			?>

			<?php
			if($this->form->getValue('comments')){
				?>
				<fieldset>
					<legend>
						<?php echo JText::_('Comments');?>
					</legend>
					<?php echo $this->form->getValue('comments');?>
				</fieldset>
				<?php
			}
			?>

			<input type="hidden" name="task" value="homework.homework.show" />
			<input type="hidden" name="course_id" value="<?php echo $this->state->get('courseId');?>" />
			<input type="hidden" name="hw_id" value="<?php echo $this->state->get('id');?>" />
			<input type="hidden" name="id" value="<?php echo $this->form->getValue('id');?>" />
			<input type="hidden" name="Itemid" value="<?php echo $this->Itemid;?>" />
			<?php echo JHtml::_('form.token');?>
		</form>
	</div>

</div>