<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select:not(.chzn-done)');
JHTML::_('behavior.tooltip');

$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

JHtml::_('searchtools.form', '#adminForm');
?>

<script type="text/javascript">
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>')
		{
			dirn = 'asc';
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>

<div class="row-fluid">
	<?php
	echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
	?>

	<div class="row-fluid">
		<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=homework.homeworks.show&course_id='.$this->state->get('courseId').(isset($this->Itemid) && intval($this->Itemid) ? '&Itemid='.$this->Itemid : ''));?>" method="post" id="adminForm" name="adminForm" class="form-validate">

			<?php
			if(isset($this->items) && is_array($this->items) && count($this->items)){
			?>

			<div class="row-fluid">
				<div class="btn-group pull-right">
					<label for="limit" class="element-invisible">
						<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>
					</label>
					<?php echo $this->pagination->getLimitBox();?>
				</div>
			</div>

			<table id="homeworkList" class="table table-striped table-hover">
				<thead>
					<tr>
						<th>
							<?php echo JHtml::_('searchtools.sort', 'Title', 'title', $listDirn, $listOrder);?>
						</th>
						<th width="7%" class="center"><?php echo JText::_('Status');?></th>
						<th width="7%"><?php echo JText::_('Grade');?></th>
						<?php
						/*
						?>
						<th width="25%" class="nowrap hidden-tablet hidden-phone"><?php echo JText::_('Short Description');?></th>
						<?php
						*/
						?>
						<th width="7%" class="nowrap center hidden-phone"><?php echo JText::_('Start Date');?></th>
						<th width="7%" class="nowrap center hidden-phone"><?php echo JText::_('End Date');?></th>
					</tr>
				</thead>
				<tbody>
					<?php
					if($this->items)
					{
						foreach($this->items as $i => $item)
						{
							$number = $i + 1;
							?>
							<tr class="row<?php echo $i % 2;?>">
								<td>
									<?php
									$link = 'index.php?option=com_joomla_lms&task=homework.homework.show';
									$link .= '&course_id='.$this->state->get('courseId');
									$link .= '&id='.$item->id;
									$link .= isset($this->Itemid) && intval($this->Itemid) ? '&Itemid='.$this->Itemid : '';
									$link = JRoute::_($link);

									$property = $this->helperAddPropertiesForTooltip($item->short_description, 100, 'right');
									?>
									<a href="<?php echo $link;?>" <?php echo $property;?>>
										<?php echo $item->title;?>
									</a>
								</td>
								<td class="center">
									<?php
									if(isset($item->result) && $item->result->hw_status){
										$tip_title = JText::_('Status');
										$tip_text = JText::_('');
										$icon_class = '';
										if($item->result->hw_status == 1){
											$tip_title = JText::_('Not seen');
											$tip_text = JText::_('');
											$icon_class = 'eye-close';
										}
										if($item->result->hw_status == 2){
											$tip_title = JText::_('Seen');
											$tip_text = JText::_('');
											$icon_class = 'eye-open';
										}
										if($item->result->hw_status == 3){
											$tip_title = JText::_('Checked');
											$tip_text = JText::_('');
											$icon_class = 'checkmark-2';
										}
										?>
										<span class="btn btn-micro disabled hasTooltip" title="<?php echo JHtml::tooltipText($tip_title, $tip_text);?>">
											<i class="icon-<?php echo $icon_class;?>"></i>
										</span>
										<?php
									}
									?>
								</td>
								<td><?php echo isset($item->result) ? $item->result->grade : '';?></td>
								<?php
								/*
								?>
								<td class="nowrap hidden-tablet hidden-phone"><?php echo $item->short_description;?></td>
								<?php
								*/
								?>
								<td class="nowrap center hidden-phone"><?php echo $item->start_date;?></td>
								<td class="nowrap center hidden-phone"><?php echo $item->end_date;?></td>

							</tr>
							<?php
						}
					}
					?>
				</tbody>
			</table>
			<?php
			} else {
				?>
				<div class="well center"><?php echo JText::_('The teacher(s) did not assign homework');?></div>
			<?php
			}
			?>

			<?php echo $this->pagination->getListFooter();?>

			<input type="hidden" name="task" value="homework.homeworks.show" />
			<input type="hidden" name="course_id" value="<?php echo $this->state->get('courseId');?>" />
			<input type="hidden" value="0" name="boxchecked">
			<?php echo JHtml::_('form.token');?>

		</form>
	</div>
</div>